Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface RosettaNetControl

All Superinterfaces:
  com.bea.control.Control, Serializable

public interface RosettaNetControl
extends com.bea.control.Control

Basic RosettaNet control. Send/Receive functionality is left to the extensible control, for customization. The following methods are available after a JCX instance is created.

- sendMessage()
: Sends the specified message to a trading partner.

Nested Class Summary
`static interface` | `RosettaNetControl.Callback` The following methods are available after a JCX instance is created.

Method Summary
`String` | `getProcessTimeout()` Returns the amount of time to wait for the entire business process to complete before timing out.
`com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument` | `getProperties()` Get the dynamic properties for the RosettaNet control
`int` | `getRetryCount()` Returns the maximum number of retries for sending the message
`String` | `getRetryInterval()` Returns the time interval between retries
`void` | `sendAck()` Sends an acknowledgement of receipt of a business message to a trading partner and accepts the request.
`void` | `sendError()` Sends an Exception
`void` | `sendReject()` Sends an acknowledgement of receipt of the business message to a trading partner, but rejects the request.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument xmlPropsDoc)` Sets dynamic properties at run-time, such as the business ID of the sender or recipient.

Method Detail

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument xmlPropsDoc)

  Sets dynamic properties at run-time, such as the business ID of the sender or recipient. Use this method to set the debug mode during testing.

  Parameters:
    `xmlPropsDoc` - the dynamic properties for the RosettaNet control

### getProperties

    public com.bea.wli.control.dynamicProperties.RosettaNetControlPropertiesDocument getProperties()

  Get the dynamic properties for the RosettaNet control

  Returns:
    the dynamic properties for the RosettaNet control

### sendAck

    public void sendAck()

  Sends an acknowledgement of receipt of a business message to a trading partner and accepts the request.

### sendReject

    public void sendReject()

  Sends an acknowledgement of receipt of the business message to a trading partner, but rejects the request.

### sendError

    public void sendError()

  Sends an Exception

### getRetryCount

    public int getRetryCount()

  Returns the maximum number of retries for sending the message

### getRetryInterval

    public String getRetryInterval()

  Returns the time interval between retries

### getProcessTimeout

    public String getProcessTimeout()

  Returns the amount of time to wait for the entire business process to complete before timing out.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD